Memcached::prepend
Memcached::replace
Memcached
PHP Manual

# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Prepend data to an existing item on a specific server

### Opis

public bool Memcached::prependByKey ( string `$server_key` , string `$key` , string `$value` )

Memcached::prependByKey() is functionally equivalent to Memcached::prepend, except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parametry

`server_key`

  Klucz identyfikujący serwer do przechowywania wartości.

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Zobacz też:

- Memcached::prepend - Prepend data to an existing item
- Memcached::append - Append data to an existing item

Memcached::prepend
Memcached::replace
Memcached
PHP Manual